Bug 59357 - [repocopy request] several ports to move to finance
Summary: [repocopy request] several ports to move to finance
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mark Linimon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-11-17 01:00 UTC by Mark Linimon
Modified: 2004-01-22 21:35 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (5.64 KB, patch)
2003-11-17 01:00 UTC, Mark Linimon
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Linimon 2003-11-15 17:31:04 UTC
What would a repocopy be without changes to modules and MOVED?
Why, incomplete, of course.

Sigh.

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#       ports/diff.out
#       CVSROOT/diff.out
#
echo x - ports/diff.out
sed 's/^X//' >ports/diff.out << 'END-of-ports/diff.out'
XIndex: MOVED
X===================================================================
XRCS file: /home/pcvs/ports/MOVED,v
Xretrieving revision 1.272
Xdiff -r1.272 MOVED
X713a714,726
X> deskutils/cbb|finance/cbb|2001-11-16|moved to finance category
X> deskutils/gnofin|finance/gnofin|2001-11-16|moved to finance category
X> deskutils/moneydance|finance/moneydance|2001-11-16|moved to finance 
category
X> deskutils/xinvest|finance/xinvest|2001-11-16|moved to finance category
X> devel/libstocks|finance/libstocks|2001-11-16|moved to finance category
X> misc/emma|finance/emma|2001-11-16|moved to finance category
X> misc/gnomepm|finance/gnomepm|2001-11-16|moved to finance category
X> 
misc/p5-Finance-Currency-Convert|finance/p5-Finance-Currency-Convert|2001-11-16|moved 
to finance category
X> misc/p5-Finance-Quote|finance/p5-Finance-Quote|2001-11-16|moved to 
finance category
X> 
misc/p5-Finance-QuoteHist|finance/p5-Finance-QuoteHist|2001-11-16|moved 
to finance category
X> misc/quantlib|finance/quantlib|2001-11-16|moved to finance category
X> misc/wmstock|finance/wmstock|2001-11-16|moved to finance category
X> misc/xquote|finance/xquote|2001-11-16|moved to finance category
END-of-ports/diff.out
echo x - CVSROOT/diff.out
sed 's/^X//' >CVSROOT/diff.out << 'END-of-CVSROOT/diff.out'
XIndex: modules
X===================================================================
XRCS file: /home/pcvs/CVSROOT/modules,v
Xretrieving revision 1.8599
Xdiff -r1.8599 modules
X757c757
X< cbb		ports/deskutils/cbb
X---
X> cbb		ports/finance/cbb
X1513c1513
X< emma		ports/misc/emma
X---
X> emma		ports/finance/emma
X2234c2234
X< gnofin		ports/deskutils/gnofin
X---
X> gnofin		ports/finance/gnofin
X2289c2289
X< gnomepm		ports/misc/gnomepm
X---
X> gnomepm		ports/finance/gnomepm
X4055c4055
X< libstocks	ports/devel/libstocks
X---
X> libstocks	ports/finance/libstocks
X4643c4643
X< moneydance	ports/deskutils/moneydance
X---
X> moneydance	ports/finance/moneydance
X5669,5671c5669,5671
X< p5-Finance-Currency-Convert	ports/misc/p5-Finance-Currency-Convert
X< p5-Finance-Quote	ports/misc/p5-Finance-Quote
X< p5-Finance-QuoteHist ports/misc/p5-Finance-QuoteHist
X---
X> p5-Finance-Currency-Convert	ports/finance/p5-Finance-Currency-Convert
X> p5-Finance-Quote	ports/finance/p5-Finance-Quote
X> p5-Finance-QuoteHist ports/finance/p5-Finance-QuoteHist
X7290c7290
X< quantlib	ports/misc/quantlib
X---
X> quantlib	ports/finance/quantlib
X9003c9003
X< wmstock		ports/misc/wmstock
X---
X> wmstock		ports/finance/wmstock
X9264c9264
X< xinvest		ports/deskutils/xinvest
X---
X> xinvest		ports/finance/xinvest
X9480c9480
X< xquote		ports/misc/xquote
X---
X> xquote		ports/finance/xquote
END-of-CVSROOT/diff.out
exit
Comment 1 Mark Linimon 2003-11-17 01:00:38 UTC
	When the finance category was created, a few ports got left
	behind somehow.  This repocopy will gather up the stragglers.
	NB: tested with "make index" on a 5.1 i386 machine, and
	individual portlint invocations.

	This originally started as a followup to ports/39102 which
	had become out-of-date.

Fix: Here's the script I used to do the repocopies on my machine:

#!/bin/sh
mv deskutils/cbb finance/
mv deskutils/gnofin finance/
mv deskutils/moneydance finance/
mv deskutils/xinvest finance/
mv devel/libstocks finance/
mv misc/emma finance/
mv misc/gnomepm finance/
mv misc/p5-Finance-Currency-Convert finance/
mv misc/p5-Finance-Quote finance/
mv misc/p5-Finance-QuoteHist finance/
mv misc/quantlib finance/
mv misc/wmstock finance/
mv misc/xquote finance/

	And here's the patchfile:
How-To-Repeat: 	(n/a)
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2003-11-17 01:01:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->linimon

Over to portmgr@.  No, now I'm told that it's just supposed
to be Cc:ed to portmgr and cvs.  OK ...
Comment 3 Oliver Eikemeier freebsd_committer 2004-01-22 21:34:27 UTC
State Changed
From-To: open->closed

Stepped on your toes, thanks!